import React from 'react';
declare class TemporaryDrawer extends React.Component {
    static propTypes: any;
    props: any;
    state: any;
    constructor(props: any);
    handleOnClose(): void;
    handleOnMenuItemClick(item: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default TemporaryDrawer;
